ServiceClientAsync Class

Inheritance
msrest.service_client._ServiceClientCore
ServiceClientAsync

Constructor

ServiceClientAsync(config: Configuration)

Parameters

config

Methods

async_send

Prepare and send request object according to configuration.

stream_download_async

Async Generator for streaming request body data.

async_send

Prepare and send request object according to configuration.

async async_send(request, **kwargs)

Parameters

request
<xref:ClientRequest>
Required

The request object to be sent.

headers
dict
Required

Any headers to add to the request.

content
Required

Any body data to add to the request.

config
Required

Any specific config overrides

stream_download_async

Async Generator for streaming request body data.

stream_download_async(response, user_callback)

Parameters

response
Required

The initial response

user_callback
Required

Custom callback for monitoring progress.